\name{generate}
\alias{generate}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Generate }
\description{
  Generates response data. Y: matrix containing 0/1 for incorrect/correct answers on a test.
	Time: matrix containing the log-response times on a test. 
}
\usage{
generate(N, K, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{N}{ Number of persons (test takers) }
  \item{K}{ Number of items }
  \item{\dots}{optional argument, gives the possibility to specify the correlation
between the person parameters (the latent constructs ability and speed). To specify, type, for instance, 'rho = 0.5'.
Another possibility is to specify the correlation between item difficulty (b) and item time intensity (lambda) by providing the argument 'corbl'.
For instance, specify this covariance component to be 0.5 by providing 'corbl = 0.5'. See also the examples below.}
}
\details{
   Generate is part of the CIRT package, see also the function 'estimate' for estimation of the conjoint IRT model and
the function 'summarize' for summarizing the output of 'estimate'.
Type "?cirt" for a worked out example how to use the package. 
}
\value{
  result is a list containing generated data which can be analysed with the CIRT program.
  \item{Y }{N x K repsonse matrix, containing 0's for incorrect responses and 1's for correct responses, stored in data$Y}
  \item{T }{N x K matrix of log-response times, stored in data$Time}
  ...
}
\references{  J.-P. Fox, R.H. Klein Entink, W.J. van der Linden, Modeling of response times and patterns: With a package CIRT, Journal of Statistical Software }
\author{ R.H. Klein Entink (Rinke) <r.h.kleinentink@gw.utwente.nl> }
\note{The MASS package must be loaded for using this function}

\examples{

## Generate a dataset containing 500 persons taking 50 items:
N <- 500
K <- 50
data <- generate(N,K)

## Generate a dataset containing 500 persons taking 50 items and specify the correlation between ability and speed to be .7:
N <- 500
K <- 50
data <- generate(N,K, 'rho = 0.7')

## Generate a dataset containing 500 persons taking 50 items and specify the correlation between item difficulty and speed to be .7:
N <- 500
K <- 50
data <- generate(N,K, 'rho = 0.7')

## Asses the generated response matrix:
data$Y

## Asses the generated log-response time matrix:
data$Time

}
\keyword{ ~kwd1 }% at least one, from doc/KEYWORDS
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
