\name{summarize}
\alias{summarize}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Gives a summary of the estimation results produced by the function "estimate"  }
\description{Function summary has arguments
"out" and "burnin", where object "out" contains the list of sampled values from the marginal
posterior distributions of structural model parameters (produced by function "estimate") and "burnin"
determines the number of burn-in iterations for the MCMC chain.
Summary generates a report which gives the EAP estimates and
posterior standard deviations of the model parameters.
Further, a DIC estimate is given that can be used for model comparison.
These estimates are based on the sampled values where the first number of
samples, as specified by "burnin", are discarded as the burn-in period.
}
\usage{
summarize(out, burnin)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{out}{ The list as produced by the function 'estimate', containing the sampled values of the marginal posterior distributions of all the model parameters}
  \item{burnin}{ Number, provide the desired number of iterations to be discarded as the burn-in period here }
}
\details{
  Summarize is part of the CIRT package, see also the function 'generate' for data generation and
  the function 'estimate' for estimation of the conjoint IRT model.
Type "?cirt" for a worked out example how to use the package. 

}
\value{
  Output is a report with a summary of the parameter estimates and a DIC - fit measure.
The estimates are based on the MCMC chains of the parameters as produced by the function "estimate", where the first
number of samples, as specified by "burnin", is discarded as the burn-in period of the chains.
Note that "burnin" should be smaller than the number of iterations used in "estimate". 
}
\references{ J.-P. Fox, R.H. Klein Entink, W.J. van der Linden, Modeling of response times and patterns: With a package CIRT, Journal of Statistical Software }
\author{ R.H. Klein Entink (Rinke) <r.h.kleinentink@gw.utwente.nl> }

\examples{

## Generate a report for an output file "out", which should be a list produced by the function "estimate". 
## Suppose the number of iterations to be discarded as the burn-in period is 1,000.

summarize(out, 1000)

}
\keyword{ ~kwd1 }% at least one, from doc/KEYWORDS
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
